import { EventEmitter } from "@angular/core";
import { FormBuilder, FormGroup } from "@angular/forms";
export declare class FormUsername {
    formBuilder: FormBuilder;
    required: boolean;
    maxLength: number;
    minLength: number;
    pattern: string;
    username: String;
    styleDivInputText: string;
    styleUserIcon: string;
    styleInputText: string;
    styleDivErrors: string;
    styleDivErrorMessage: string;
    errMsgRequired: string;
    errMsgMinlength: string;
    errMsgMaxlength: string;
    errMsgpattern: string;
    errMsgValidUsername: string;
    usernameReturn: EventEmitter<{
        username: String;
        valid: Boolean;
    }>;
    constructor(formBuilder: FormBuilder);
    customStyle: {};
    emit(): void;
    validations_form: FormGroup;
    validation_messages: {
        username: any[];
    };
    ngOnInit(): void;
}
